@font-face {
    font-family: "Proxima Nova";
    src: url("./fonts/ProximaNovaLight.ttf") format("truetype");
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: "Proxima Nova";
    src: url("./fonts/ProximaNovaRegular.ttf") format("truetype");
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: "Proxima Nova";
    src: url("./fonts/ProximaNovaSemibold.ttf") format("truetype");
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: "Proxima Nova";
    src: url("./fonts/ProximaNovaExtrabold.ttf") format("truetype");
    font-weight: 800;
    font-style: normal;
}

* {
  box-sizing: border-box;
}

body {
    font-family: "Proxima Nova", sans-serif;
    background-image: linear-gradient(rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3)), url(background.webp);
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    display: flex;
    justify-content: center;
    margin: 0;
}

.bg-container {
    width: 100vw;
    height: 100dvh;
    overflow: hidden;
    max-width: 1440px;
    position: relative;
}

.car-image-wrapper{
    width: 100vw;
    height: 100dvh;
    position: fixed;
    top:0;
    left:0;
}


@media (max-width: 768px) {
    .bg-container {
        background-image: url("background.webp");
    }
}


.logo-container {
    width: 100%;
    height: 22.77dvh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-top: 2rem;
    position: relative;
}

.logo-container .slogan {
    color: #ea0029;
    font-size: min(4vw, 4.2rem);
    padding-left: 2vw;
    font-weight: 900;
    z-index: 2;
    margin: 0;
}

.logo {
    width: 37.21%;
    z-index: 2;
}

.logo-cloud {
    width: 40%;
    position: absolute;
    transform: translate(-50%, -50%);
    top: 50%;
    left: 50%;
    opacity: 0.70;
}


@media (max-width: 768px) {
    .logo-container {
        height: unset;
        padding-top: 10dvh;
        padding-bottom: 7dvh;
    }

    .logo-container .slogan {
        font-size: 1.7rem;
        margin-top: .3rem;
    }

    .logo {
        width: 60vw;
    }

    .logo-cloud {
        width: 70%;
    }
}

.mid-area {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: end;
    height: 30.44dvh;
    z-index: 3;
}

.mid-area .main-title {
    color: #ffffff;
    font-size: 5.3rem;
    font-weight: 900;
    z-index: 3;
    margin: 0;
}


.mid-area .main-title br {
    display: none;
}

.mid-area .coming-soon-tab {
    margin-top: 1rem;
    color: #ea0029;
    border: 3px solid #ea0029;
    padding: 5px 30px;
    font-size: 40px;
    border-radius: 3rem;
    font-weight: 600;
    z-index: 3;
}

@media (min-width: 769px) and (max-width: 1111px) {
    .mid-area .main-title {
        font-size: 7vw;
    }

    .mid-area .coming-soon-tab {
        font-size: 3vw;
    }
}


@media (max-width: 510px) {
    .mid-area {
        justify-content: start;
        height: 25dvh;
    }

    .mid-area .main-title {
        font-size: 2.5rem;
        text-align: center;
    }

    .mid-area .coming-soon-tab {
        font-size: 1.3rem;
        margin-top: unset;
        padding: 0 10px;
    }

    .mid-area .main-title br {
        display: unset;
    }

}

@media (min-width: 510px) and (max-width: 768px) {
    .mid-area {
        justify-content: start;
        height: 15dvh;
    }

    .mid-area .main-title {
        font-size: 2.5rem;
        text-align: center;
    }

    .mid-area .coming-soon-tab {
        font-size: 1.3rem;
        margin-top: unset;
        padding: 0 10px;
    }

    .mid-area .main-title br {
        display: unset;
    }
}


.bottom-area {
    margin-left: 5.46%;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: top;
    position: relative;
    width: fit-content;
}

.bottom-area .tires {
    height: min(34.66dvh,311px);
    z-index: 2;
}

.bottom-area .sticker {
    position: absolute;
    width: 21.95%;
    transform: translate(-25%, -25%);
    z-index: 3;
}


.bottom-area .tires-cloud {
    position: absolute;
    transform: translate(-50%, -50%);
    top: 50%;
    left: 50%;
    width: 120%;
}


@media (max-width: 510px) {
    .bottom-area {
        margin-left: unset;
        display: flex;
        align-items: center;
        width: 100%;
    }

    .bottom-area .tires {
        height: unset;
        width: 70vw;
    }

    .bottom-area .sticker {
        width: 18vw;
        top: 0;
        left: calc(10vw);
    }

    .bottom-area .tires-cloud {
        width: 90%;
        top: 80%;
    }
}

@media (min-width: 510px) and (max-width: 768px) {
    .bottom-area {
        margin-left: unset;
        display: flex;
        align-items: center;
        width: 100%;
        padding-top:2.5rem;

    }

    .bottom-area .tires {
        height: unset;
        width: 50vw;
    }

    .bottom-area .sticker {
        width: 11vw;
        top: 2.5;
        left: calc(25vw);
    }

    .bottom-area .tires-cloud {
        width: 50%;
        top: 80%;
    }
}


.car-image {
    position: absolute;
    bottom: 0;
    transform: translate(-50%,0);
    right: -1353px;
    right: calc(-1944px + 40%);
}

@media (max-width: 768px) {
    .car-image {
        width: 260%;
        /*right: -4rem;
        bottom: 5dvh;*/
        transform: translate(-50%, 0);
        /*top: 50%;*/
        bottom: 0;
        left: 50%;
    }
}



.footer {
    position: fixed;
    left: 50%;
    bottom: 3dvh;
    transform: translate(-50%, -50%);
    z-index: 2;
}

.footer .footer-text {
    color: #000000;
    background-color: white;
    z-index: 2;
    font-size: 1.2rem;
    font-weight: 300;
    letter-spacing: 2px;
    font-style: italic;
    padding: 0 3px;
    margin: 0;
}

@media (max-width: 768px) {

    .footer .footer-text {
        font-size: .8rem;
        letter-spacing: 1px;
        font-weight: 600;
        white-space: nowrap;
        padding-top: -5px;
        line-height: 11px;
    }
}

.lang-choose-container {
    position: fixed;
    top: 3dvh;
    right: 3dvw;
    display: flex;
    gap: min(3vw,30px);
    z-index: 10;
}

.lang-choose-container a {
    text-decoration: none;
}

.lang-badge {
    font-size: max(1.4vw, 16px);
    border-radius: 5px;
    color: #ccc;
    font-weight: 800;
    cursor: pointer;
}

.lang-badge.selected {
    color: white;
}

.lang-badge.selected::after {
    content: '';
    display: block;
    background-color: white;
    width: 100%;
    transition: width 2s ease;
    height: 5px;
}

.lang-badge:not(.selected)::after {
    content: '';
    display: block;
    background-color: #ccc;
    height: 5px;
    width: 0;
    transition: width 1s ease;
}

.lang-badge:not(.selected):hover::after {
    width: 100%;
    transition: width 1s ease;
}

.lang-badge:not(.selected):hover{
    color:white;
}
